#ifndef SHELL_UTILS_H
#define SHELL_UTILS_H

#include "platform.h"

// clang-format off
#ifdef WAPP_PLATFORM_WINDOWS
  #define wapp_shell_utils_popen _popen
  #define wapp_shell_utils_pclose _pclose
#else
  #define wapp_shell_utils_popen popen
  #define wapp_shell_utils_pclose pclose
#endif /* ifdef WAPP_PLATFORM_WINDOWS */
// clang-format on

#endif // !SHELL_UTILS_H
